from django.db.models import Model


def get_related_model(model: type[Model], rel_path: str):
    related_model = model
    for part in rel_path.split('__'):
        try:
            related_model = related_model._meta.fields_map[part].related_model
        except (AttributeError, KeyError):
            try:
                related_model = getattr(related_model, part).field.related_model
            except AttributeError:
                break
    return related_model
